diff --git a/CLAUDE.md b/CLAUDE.md
index 0bdcccc..b5ab00b 100644
--- a/CLAUDE.md
+++ b/CLAUDE.md
@@ -4,6 +4,11 @@
 
 This repository is developed and maintained exclusively by AI assistants. All code, documentation, and design decisions are created through AI collaboration.
 
+**Repository**: https://github.com/Xilope0/mcp-browser
+**License**: GPLv3+
+**Created**: 2025-06-27 by Claude4Ξlope
+**Author**: Claude4Ξlope <xilope@esus.name>
+
 ## Project Overview
 
 MCP Browser is a generic, minimalistic Model Context Protocol (MCP) browser designed specifically for AI systems to interact with MCP servers while optimizing context usage.
diff --git a/LICENSE b/LICENSE
index 6f99928..c02e2b9 100644
--- a/LICENSE
+++ b/LICENSE
@@ -1,21 +1,27 @@
-MIT License
+                    GNU GENERAL PUBLIC LICENSE
+                       Version 3, 29 June 2007
 
-Copyright (c) 2024 AI Contributors
+ Copyright (C) 2024 Claude4Ξlope <xilope@esus.name>
 
-Permission is hereby granted, free of charge, to any person obtaining a copy
-of this software and associated documentation files (the "Software"), to deal
-in the Software without restriction, including without limitation the rights
-to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
-copies of the Software, and to permit persons to whom the Software is
-furnished to do so, subject to the following conditions:
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, either version 3 of the License, or
+ (at your option) any later version.
 
-The above copyright notice and this permission notice shall be included in all
-copies or substantial portions of the Software.
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ GNU General Public License for more details.
 
-THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
-AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
-LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
-OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
-SOFTWARE.
\ No newline at end of file
+ You should have received a copy of the GNU General Public License
+ along with this program.  If not, see <https://www.gnu.org/licenses/>.
+
+ Additional permission under GNU GPL version 3 section 7
+
+ If you modify this Program, or any covered work, by linking or combining
+ it with proprietary MCP servers (or a modified version of those libraries),
+ containing parts covered by the terms of their respective licenses, the
+ licensors of this Program grant you additional permission to convey the
+ resulting work.
+
+ For the full GPL v3 license text, see: https://www.gnu.org/licenses/gpl-3.0.txt
\ No newline at end of file
diff --git a/README.md b/README.md
index efe0e51..0df88a2 100644
--- a/README.md
+++ b/README.md
@@ -2,6 +2,10 @@
 
 A generic, minimalistic MCP (Model Context Protocol) browser that provides an abstract interface for AI systems to interact with MCP servers with optimized context usage.
 
+[![License: GPL v3](https://img.shields.io/badge/License-GPLv3+-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)
+[![Python 3.8+](https://img.shields.io/badge/python-3.8+-blue.svg)](https://www.python.org/downloads/)
+[![AI Generated](https://img.shields.io/badge/AI-Generated-green.svg)](CLAUDE.md)
+
 ## Overview
 
 MCP Browser acts as a smart proxy between AI systems and MCP servers, providing:
@@ -59,6 +63,36 @@ mcp-browser/
     └── default.yaml      # Default configuration
 ```
 
+## Installation
+
+```bash
+# Clone the repository
+git clone https://github.com/Xilope0/mcp-browser.git
+cd mcp-browser
+
+# Install in development mode
+pip install -e .
+
+# Or install directly from GitHub
+pip install git+https://github.com/Xilope0/mcp-browser.git
+```
+
+## Quick Start
+
+```bash
+# Run interactive mode
+mcp-browser
+
+# Run as MCP server (for chaining)
+mcp-browser --mode server
+
+# Connect to specific MCP server
+mcp-browser --server claude-code
+
+# Generate AI documentation
+python setup.py aidocs
+```
+
 ## Usage
 
 ```python
@@ -105,4 +139,24 @@ All other tools (potentially hundreds) are hidden but fully accessible through t
 1. **Generic**: No tool-specific knowledge built into the browser
 2. **Minimal**: Smallest possible API surface
 3. **Efficient**: Optimized for minimal context usage
-4. **Transparent**: Acts as a pass-through proxy with intelligent enhancements
\ No newline at end of file
+4. **Transparent**: Acts as a pass-through proxy with intelligent enhancements
+
+## Contributing
+
+This project is developed exclusively by AI assistants. See [CLAUDE.md](CLAUDE.md) for details about the AI-only development process.
+
+If you're an AI assistant working on this project:
+1. Read CLAUDE.md for development guidelines
+2. Generate documentation with `python setup.py aidocs`
+3. Test changes with the example scripts
+4. Maintain context efficiency as the primary goal
+
+## License
+
+This project is licensed under the GNU General Public License v3.0 or later (GPLv3+) - see the [LICENSE](LICENSE) file for details.
+
+## Acknowledgments
+
+- Developed by Claude (Anthropic) and other AI assistants
+- Inspired by the need for efficient AI-to-AI tool communication
+- Built on the Model Context Protocol (MCP) standard
\ No newline at end of file
diff --git a/mcp_browser/__init__.py b/mcp_browser/__init__.py
index a87fe5e..33b214b 100644
--- a/mcp_browser/__init__.py
+++ b/mcp_browser/__init__.py
@@ -3,9 +3,19 @@ MCP Browser - A generic, minimalistic MCP protocol interface.
 
 Provides an abstract interface for AI systems to interact with MCP servers
 with optimized context usage through sparse mode and on-demand tool discovery.
+
+Copyright (C) 2024 Claude4Ξlope <xilope@esus.name>
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
 """
 
 from .proxy import MCPBrowser
 
 __version__ = "0.1.0"
+__author__ = "Claude4Ξlope"
+__email__ = "xilope@esus.name"
+__license__ = "GPLv3+"
 __all__ = ["MCPBrowser"]
\ No newline at end of file
diff --git a/setup.py b/setup.py
index 5c732d4..7df7d2e 100644
--- a/setup.py
+++ b/setup.py
@@ -125,9 +125,9 @@ setup(
     description="A generic MCP browser with context optimization for AI systems",
     long_description=long_description,
     long_description_content_type="text/markdown",
-    author="AI Assistant",
-    author_email="ai@anthropic.com",
-    url="https://github.com/anthropics/mcp-browser",
+    author="Claude4Ξlope",
+    author_email="xilope@esus.name",
+    url="https://github.com/Xilope0/mcp-browser",
     packages=find_packages(),
     package_data={
         'mcp_browser': ['py.typed'],
@@ -167,7 +167,7 @@ setup(
         "Development Status :: 3 - Alpha",
         "Intended Audience :: Developers",
         "Topic :: Software Development :: Libraries :: Application Frameworks",
-        "License :: OSI Approved :: MIT License",
+        "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
         "Programming Language :: Python :: 3",
         "Programming Language :: Python :: 3.8",
         "Programming Language :: Python :: 3.9",
